Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.field

# Interface TrimmableField

All Known Implementing Classes:
  `FBLongVarCharField`

@InternalApi @NullMarked public interface TrimmableField
Trim behaviour of `getString` in string fields.

Since:
  5
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isTrimTrailing()`
`void`
`setTrimTrailing(boolean trimTrailing)`
Enable or disable trimming of trailing spaces.
`static @Nullable String`
`trimTrailing(@Nullable String value)`
Trims trailing spaces from a string `value`.

## Method Details

### setTrimTrailing

void setTrimTrailing(boolean trimTrailing)
Enable or disable trimming of trailing spaces.

NOTE: The behaviour applies to `FBField.getString()` and code paths that work through `getString()` (this usually includes `FBField.getObject()`.

Parameters:
  `trimTrailing` - `true` trim trailing spaces

### isTrimTrailing

boolean isTrimTrailing()

Returns:
  `true` trim trailing enabled, `false` trim trailing disabled

### trimTrailing

static @Nullable String trimTrailing(@Nullable String value)
Trims trailing spaces from a string `value`.

Parameters:
  `value` - value to trim
Returns:
  value without trailing spaces, `null` if `value` was null